Summary: ODBC driver for MySQL
Name: mysql-connector-odbc64
Version: 5.1.8
Release: 1%{?dist}
Group: System Environment/Libraries
URL: http://dev.mysql.com/downloads/connector/odbc/
# exceptions allow library to be linked with most open source SW,
# not only GPL code.
License: GPLv2 with exceptions

# Upstream has a mirror redirector for downloads, so the URL is hard to
# represent statically.  You can get the tarball by following a link from
# http://dev.mysql.com/downloads/connector/odbc/
Source0: mysql-connector-odbc-%{version}.tar.gz

Patch2: myodbc-shutdown.patch
Patch3: myodbc-64bit.patch
Patch4: myodbc-libodbc64.patch

BuildRequires: mysql-devel unixODBC64-devel
BuildRequires: automake autoconf libtool libtool-ltdl-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
An ODBC (rev 3) driver for MySQL, for use with unixODBC64.

%prep
%setup -q -n mysql-connector-odbc-%{version}

%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"

libtoolize --copy --force
aclocal
automake -a
automake
autoconf

%configure \
	--disable-gui \
	--with-unixODBC \
	--with-odbc-ini=/etc/odbc.ini \
	--with-mysql-includes=%{_includedir}/mysql \
	--with-mysql-libs=%{_libdir}/mysql

export tagname=CC
make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export tagname=CC
make DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool install

# Remove stuff not to be packaged (possibly reconsider later)
rm -f $RPM_BUILD_ROOT%{_bindir}/myodbc-installer

# we don't want static libraries, thanks
rm -f $RPM_BUILD_ROOT%{_libdir}/libmyodbc5.*a

# makefile thinks it should install docs in totally wrong place
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/README
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/README.debug
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/ChangeLog
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/INSTALL
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/LICENSE.gpl

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README README.debug ChangeLog LICENSE.gpl
%{_libdir}/lib*so

%changelog
* Mon Oct 10 2011 Tom Lane <tgl@redhat.com> 5.1.8-1
- Constructed from current Fedora package.
Resolves: #742599
